--- /dev/null
+### WARNING: THIS FILE IS AUTO-GENERATED BY DOCS/todo-builder.sh ###
+### DO NOT EDIT THIS FILE. ###
+./inc/extensions/ext-sql_patches.php:740: // @TODO Rewrite this to a filter!
+./inc/extensions/ext-sql_patches.php:778: // @TODO Can we remove this? setConfigEntry('verbose_sql' , "N");
+./inc/extensions/ext-nickname.php:204: // @TODO|@DEPRECATED Please rewrite these constants, LOAD_CONFIG() is no more needed in extensions
+./inc/modules/guest/what-sponsor_reg.php:279: // @TODO Swap this HTML code to templates
+./inc/modules/guest/what-register.php:194: // @TODO Rewrite this to a single filter
+./inc/modules/member/what-bonus.php:50: // @TODO Rewrite this to a filter
+./inc/modules/member/what-order.php:500: // @TODO Rewrite this old lost code to a template
+./inc/modules/admin/what-config_admins.php:149: // @TODO This causes the whole (!) menu cache being rebuild
+./inc/modules/admin/what-logs.php:64: // @TODO Fix content-type here
+./inc/modules/admin/what-logs.php:67: // @TODO Fix content-type here
+./inc/modules/admin/what-list_newsletter.php:59: // @TODO Currently under construction!
+./inc/modules/admin/what-usage.php:83: // @TODO This code is double, see LOAD_TEMPLATE and LOAD_EMAIL_TEMPLATE in functions.php
+./inc/modules/admin/what-admins_add.php:65: // @TODO Do we need this ugly code here?
+./inc/modules/admin/what-list_user.php:155: // @TODO Rewrite these to filters
+./inc/modules/admin/what-list_user.php:280: // @TODO Rewrite this into a filter
+./inc/modules/admin/what-list_user.php:332: // @TODO Rewrite this into a filter
+./inc/modules/admin/what-theme_check.php:123: // @TODO Move this HTML code to a template "admin_theme_row"
+./inc/modules/admin/what-admins_mails.php:58: // @TODO Can this be rewritten???
+./inc/modules/admin/overview-inc.php:227: // @TODO Rewrite this to something with include files
+./inc/modules/admin/overview-inc.php:266: // @TODO This may also be rewritten to include files
+./inc/modules/admin/overview-inc.php:269: default: // @TODO Unknown support mode
+./inc/modules/admin/what-repair_amenu.php:79:// @TODO This causes the whole (!) menu cache being rebuilded
+./inc/modules/admin.php:92: // @TODO Why is this set to 'done'?
+./inc/libs/task_functions.php:48:// @TODO Move all extension-dependent queries into filters
+./inc/libs/yoomedia_functions.php:60: $response = YOOMEDIA_QUERY_API("out_textmail.php", true); // @TODO Ask Yoo!Media for test script
+./inc/libs/rallye_functions.php:653: $EXPIRE = getConfig('one_day') * 3; // @TODO The hard-coded value...
+./inc/libs/rallye_functions.php:717: // @TODO Rewrite this to our API function
+./inc/libs/doubler_functions.php:41:// @TODO Lame description
+./inc/libs/surfbar_functions.php:920: // @TODO Invalid salt should be refused
+./inc/libs/user_functions.php:306: // @TODO Make this filter working: $ADDON = RUN_FILTER('post_login_update', array('login' => $login, 'online' => $online));
+./inc/libs/user_functions.php:330: // @TODO Make this filter working: $URL = RUN_FILTER('do_login', array('uid' => $uid, 'hash' => $hash, 'addon' => $ADDON));
+./inc/libs/user_functions.php:365: // @TODO Can this query be merged with above query?
+./inc/libs/nickname_functions.php:56: // @TODO Can we replace this with GET_TOTAL_DATA() ?
+./inc/loader/load_cache-config.php:49: // @TODO: Do we really need to cache the config???
+./inc/extensions.php:272:// @TODO Change from ext_id to ext_name (not just even the variable! ;-) )
+./inc/functions.php:255: // @TODO Fine all templates which are using these direct variables and rewrite them.
+./inc/functions.php:256: // @TODO After this step is done, this else-block is history
+./inc/functions.php:1301: // @TODO Remove this if() block if all is working fine
+./inc/functions.php:2010:// @TODO Can this function be deprecated?
+./inc/functions.php:2913:// @TODO Rewrite all language constants to this function.
+./inc/functions.php:3148: // @TODO Try to find all locations where an FQFN is given to these two
+./inc/functions.php:3149: // @TODO functions and avoid it.
+./inc/functions.php:3215: // @TODO Add a little more infos here
+./inc/functions.php:3321:// @TODO Implement $compress
+./inc/functions.php:3328:// @TODO Implement $decompress
+./inc/functions.php:3431: // @TODO We may want to switch over to UTF-8 here!
+./inc/mysql-manager.php:1713: // @TODO Find a way for updating $_CONFIG here
+./inc/mysql-manager.php:1737: // @TODO Find a way for updating $_CONFIG here
+./beg.php:191: // @TODO Opps, what is missing here???
+./mailid_top.php:205: // @TODO Rewrite these blocks to filter
+./surfbar.php:60: // @TODO Display quick login form here or redirect as configured
--- /dev/null
+#!/bin/sh
+
+# Shell script to determine how close we are to final release
+# If one of these values are bigger zero we still have to do something
+#
+if ! test -e "modules.php"; then
+ echo "$0: Please execute this script from root directory."
+ exit 1
+fi
+
+echo "$0: Analyzing..."
+echo " - TODOs..."
+TODOS=`find -type f -name "*.php" -exec grep "@TODO" {} \; | grep "@" --count`
+echo " - DEPRECATED PHP..."
+DEPRECATED_PHP=`find -type f -name "*.php" -exec grep "@DEPRECATED" {} \; | grep "@" --count`
+echo " - DEPRECATED TPL..."
+DEPRECATED_TPL=`find -type f -name "*.tpl" -exec grep "@DEPRECATED" {} \; | grep "@" --count`
+echo "$0: Result..."
+echo "--------------------------------------"
+echo " - Open TODOs: ${TODOS}"
+echo " - Open DEPRECATED (PHP/TPL): ${DEPRECATED_PHP}/${DEPRECATED_TPL}"
+echo "--------------------------------------"
+echo "$0: Thanks for waiting for the final release 0.2.1-FINAL! :-)"
+echo
+exit 0